camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Charles Moulliard (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CAMEL-6935) Add instructions to support Require-Capability and Provide-Capability introduced by OSGI v4.3
Date Tue, 05 Nov 2013 15:27:21 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-6935?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Charles Moulliard resolved CAMEL-6935.
--------------------------------------

       Resolution: Fixed
    Fix Version/s: 2.13.0

> Add instructions to support Require-Capability and Provide-Capability introduced by OSGI
v4.3
> ---------------------------------------------------------------------------------------------
>
>                 Key: CAMEL-6935
>                 URL: https://issues.apache.org/jira/browse/CAMEL-6935
>             Project: Camel
>          Issue Type: New Feature
>            Reporter: Charles Moulliard
>            Assignee: Charles Moulliard
>             Fix For: 2.13.0
>
>
> OSGI v4.3 & 5 introduced Require-Capability and Provide-Capability metadata (http://wiki.osgi.org/wiki/Require-Capability).

> Camel project should include such instructions/properties as the Camel-CDI component
to run on Karaf with Pax CDI need them.



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message